# Class SegmentTransmuxingTimingInfoAvailableEvent

#### Hierarchy

- SegmentEvent
  - SegmentTransmuxingTimingInfoAvailableEvent

#####
Index

### Constructors

constructor

### Properties

segmentInfo
timingInfo
type

## Constructors

### constructor

- new SegmentTransmuxingTimingInfoAvailableEvent(segmentInfo, timingInfo): SegmentTransmuxingTimingInfoAvailableEvent

- #### Parameters

  - segmentInfo: SegmentInfo
  - timingInfo: TimingInfo

  #### Returns SegmentTransmuxingTimingInfoAvailableEvent

  Overrides SegmentEvent.constructor

## Properties

### `Readonly` segmentInfo

segmentInfo: SegmentInfo

Inherited from SegmentEvent.segmentInfo

### `Readonly` timingInfo

timingInfo: TimingInfo

### `Readonly` type

type: "segmenttransmuxingtiminginfoavailable" = Events.SegmentTransmuxingTimingInfoAvailable

Overrides SegmentEvent.type